# ReflectionClass::isAnonymous

(PHP 7)

ReflectionClass::isAnonymous — Checks if class is anonymous

### Description

public ReflectionClass::isAnonymous ( void ) : bool

Checks if a class is an anonymous class.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ReflectionClass::isAnonymous() example

`<?php
class TestClass {}
$anonClass = new class {};
$normalClass = new ReflectionClass('TestClass');
$anonClass = new ReflectionClass($anonClass);
var_dump($normalClass->isAnonymous());
var_dump($anonClass->isAnonymous());
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- ReflectionClass::isFinal() - Checks if class is final